> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wassist.app/llms.txt
> Use this file to discover all available pages before exploring further.

# View Profile

> View the profile information that is set on the WhatsApp Phone Number



## OpenAPI

````yaml api-reference/openapi.json GET /api/v1/phone-numbers/{number}/business-profile/
openapi: 3.0.3
info:
  title: Wassist API
  version: 1.0.0
  description: API for building WhatsApp AI agents
servers:
  - url: https://alpha-plagiocephalic-darrell.ngrok-free.dev
    description: Development
security: []
tags:
  - name: Agents
    description: Create and manage AI agents
  - name: Conversations
    description: Chat conversations and messages
  - name: WhatsApp
    description: WhatsApp Business account management
  - name: Contacts
    description: Contact management
  - name: Integrations
    description: Third-party integrations
paths:
  /api/v1/phone-numbers/{number}/business-profile/:
    get:
      tags:
        - api
      description: |-
        ViewSet for listing WhatsApp phone numbers.

        Endpoints:
        - GET /phone-numbers/ - List all phone numbers connected to user's WABAs
        - GET /phone-numbers/{number}/ - Get a single phone number by its number
      operationId: api_v1_phone_numbers_business_profile_retrieve
      parameters:
        - in: path
          name: number
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumber'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PhoneNumber:
      type: object
      description: Serializer for WhatsappNumber model.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        number:
          type: string
          maxLength: 15
        whatsappPhoneNumberId:
          type: string
        whatsappBusinessAccount:
          type: string
          readOnly: true
        activeAgent:
          type: string
          readOnly: true
        defaultRouting:
          type: string
          readOnly: true
        defaultWebhook:
          type: string
          readOnly: true
        isSandbox:
          type: boolean
          readOnly: true
      required:
        - activeAgent
        - defaultRouting
        - defaultWebhook
        - id
        - isSandbox
        - number
        - whatsappBusinessAccount
        - whatsappPhoneNumberId
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key authentication. Pass your API key in the X-API-Key header.

````